/*
 * dstore.c - HP-UX global storage for lsof
 */


/*
 * Copyright 1994 Purdue Research Foundation, West Lafayette, Indiana
 * 47907.  All rights reserved.
 *
 * Written by Victor A. Abell
 *
 * This software is not subject to any license of the American Telephone
 * and Telegraph Company or the Regents of the University of California.
 *
 * Permission is granted to anyone to use this software for any purpose on
 * any computer system, and to alter it and redistribute it freely, subject
 * to the following restrictions:
 *
 * 1. Neither the authors nor Purdue University are responsible for any
 *    consequences of the use of this software.
 *
 * 2. The origin of this software must not be misrepresented, either by
 *    explicit claim or by omission.  Credit to the authors and Purdue
 *    University must appear in documentation and sources.
 *
 * 3. Altered versions must be plainly marked as such, and must not be
 *    misrepresented as being the original software.
 *
 * 4. This notice may not be removed or altered.
 */

#ifndef lint
static char copyright[] =
"@(#) Copyright 1994 Purdue Research Foundation.\nAll rights reserved.\n";
static char *rcsid = "$Id: dstore.c,v 1.1 97/02/24 07:34:02 abe Exp $";
#endif


#include "lsof.h"


/*
 * Global storage definitions
 */

#if	defined(HAS_AFS)

# if    defined(HASAOPT)
char *AFSApath = (char *)NULL;		/* alternate AFS name list path
					 * (from -A) */
# endif /* defined(HASAOPT) */

struct vfs *AFSVfsp = (struct vfs *)NULL;
				/* AFS vfs struct kernel address */
#endif	/* defined(HAS_AFS) */


/*
 * Drive_Nl -- table to drive the building of Nl[] via build_Nl()
 *             (See lsof.h and misc.c.)
 */

struct drive_Nl Drive_Nl[] = {

# if	defined(hp9000s300)
	{ "arFid",	"_afs_rootFid"	},
	{ "avops",	"_afs_vnodeops"	},
	{ "avol",	"_afs_volumes"	},
	{ X_NCACHE,	"_ncache"	},
	{ X_NCSIZE,	"_ncsize"	},
	{ "proc",	"_proc"		},
	{ "nvops",	"_nfs_vnodeops"	},
	{ "nproc",	"_nproc"	},
	{ "uvops",	"_ufs_vnodeops"	},
	{ "vfops",	"_vnodefops"	},

#  if	HPUXV<800
	{ "upmap",	"_Usrptmap"	},
	{ "upt",	"_usrpt"	},
#  endif	/* HPUXV<800 */
# endif	/* defined(hp9000s300) */

# if	defined(hp9000s800)
	{ "arFid",	"afs_rootFid"	},
	{ "avops",	"afs_vnodeops"	},
	{ "avol",	"afs_volumes"	},
	{ X_NCACHE,	"ncache"	},
	{ X_NCSIZE,	"ncsize"	},
	{ "proc",	"proc"		},
	{ "nvops",	"nfs_vnodeops"	},
	{ "nproc",	"nproc"		},
	{ "uvops",	"ufs_vnodeops"	},
	{ "vfops",	"vnodefops"	},

#  if	HPUXV<800
	{ "ubase",	"ubase"		},
	{ "npids",	"npids"		},
#  else	/* HPUXV>=800 */
#   if	HPUXV>=1000
	{ "cvops",	"cdfs_vnodeops"	},
	{ "fvops",	"fifo_vnodeops"	},
	{ "pvops",	"pipe_vnodeops"	},
	{ "svops",	"spec_vnodeops"	},
	{ "vvops",	"vx_vnodeops"	},
#   endif	/* HPUXV>=1000 */
#  endif	/* HPUXV<800 */
# endif	/* defined(hp9000s800) */

	{ "",		""		},
	{ NULL,		NULL		}
};


int Kd = -1;				/* /dev/kmem file descriptor */
KA_T Kpa;				/* kernel proc structure address */

#if	HPUXV>=1010
caddr_t Ktp;				/* kernel thread pointer from proc
					 * struct */
#endif	/* HPUXV>=1010 */

struct l_vfs *Lvfs = NULL;		/* local vfs structure table */

#if	HPUXV<800
int Mem = -1;			/* /dev/mem file descriptor */
#endif	/* HPUXV<800 */

#if	HPUXV<800 && defined(hp9000s800)
int npids;			/* number of PIDs (for uvadd()) */
struct proc *proc;		/* process table address (for uvadd()) */
#endif	/* HPUXV<800 && defined(hp9000s300) */

#if	HPUXV<800
int Swap = -1;			/* swap device file descriptor */
#endif	/* HPUXV<800 */

#if	HPUXV<800 && defined(hp9000s800)
struct user *ubase;		/* user area base (for uvadd()) */
#endif	/* HPUXV<800 && defined(hp9000s800) */

#if	HPUXV<800 && defined(hp9000s300)
struct user *ubase;		/* user area base (for uvadd()) */
struct pte *Usrptmap;		/* user page table map pointer */
struct pte *usrpt;		/* user page table pointer
				 * (for bktomx from vmmac.h) */
#endif	/* HPUXV<800 && defined(hp9000s300) */

struct fileops *Vnfops;		/* vnodefops switch address */
